Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc
Interface Translet

All Known Implementing Classes:
  AbstractTranslet

public interface Translet

Method Summary
`void` | `addAuxiliaryClass(java.lang.Class auxClass)`
`java.lang.Object` | `addParameter(java.lang.String name, java.lang.Object value)`
`void` | `buildKeys(DOM document, NodeIterator iterator, TransletOutputHandler handler, int root)`
`java.lang.Class` | `getAuxiliaryClass(java.lang.String className)`
`java.lang.String[]` | `getNamesArray()`
`java.lang.String[]` | `getNamespaceArray()`
`void` | `transform(DOM document, NodeIterator iterator, TransletOutputHandler handler)`
`void` | `transform(DOM document, TransletOutputHandler handler)`
`void` | `transform(DOM document, TransletOutputHandler[] handlers)`

Method Detail

### transform

    public void transform(DOM document,
                          TransletOutputHandler handler)
                   throws TransletException

### transform

    public void transform(DOM document,
                          TransletOutputHandler[] handlers)
                   throws TransletException

### transform

    public void transform(DOM document,
                          NodeIterator iterator,
                          TransletOutputHandler handler)
                   throws TransletException

### addParameter

    public java.lang.Object addParameter(java.lang.String name,
                                         java.lang.Object value)

### buildKeys

    public void buildKeys(DOM document,
                          NodeIterator iterator,
                          TransletOutputHandler handler,
                          int root)
                   throws TransletException

### addAuxiliaryClass

    public void addAuxiliaryClass(java.lang.Class auxClass)

### getAuxiliaryClass

    public java.lang.Class getAuxiliaryClass(java.lang.String className)

### getNamesArray

    public java.lang.String[] getNamesArray()

### getNamespaceArray

    public java.lang.String[] getNamespaceArray()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.